Subject: bug#3585: gdb not responding on Emacs from CVS

From: [email-masked] (Nick Roberts)
Date: Wed, 17 Jun 2009 00:58:33 +1200

Baoqiu Cui writes:
 > Hi,
 > 
 > I've had this problem for a while on Emacs built from CVS.  Today I
 > updated my Emacs directory and rebuilt everything, the problem still
 > exists (GNU Emacs 23.0.94.1 (x86_64-unknown-linux-gnu, X toolkit)).
 > 
 > Basically, after typing in ``M-x gdb'' to debug a program, say myprog, a
 > buffer called *gud-myprog* will appear, and it displays some info about
 > gdb and prints out a prompt:
 > 
 >   (gdb) _
 > 
 > Now, if I type in a command like "pwd" and press Enter, *nothing*
 > happens.  I have to press C-c C-c to get out:
 > 
 >   (gdb) pwd
 >     C-c C-cQuit
 >   (gdb)
 > 
 > This does not happen on Emacs 22.3.
 > 
 > Does anyone know what the problem is?

I don't see this.  What version of GDB do you have?

Can you please do M-x gdb-enable-debug before M-x gdb and post the value of gdb-debug-log
after doing:

(gdb) pwd<RET>

-- 
Nick                                           http://www.inet.net.nz/~nickrob